%define major 1
%define libname %mklibname gl2ps %{major}
%define libname_virt    gl2ps
%define develname %mklibname gl2ps -d


Summary:        An OpenGL to PostScript printing library
Name:           gl2ps
Version:        1.3.8
Release:        4
License:        LGPLv2+
Group:          System/Libraries
Source0:        http://www.geuz.org/gl2ps/src/%{name}-%{version}.tgz
Patch0:         %{name}-soversion.patch
Patch1:         %{name}-so-link-fix.patch
URL:            http://www.geuz.org/gl2ps/
BuildRequires:  cmake
BuildRequires:  pkgconfig(gl)
BuildRequires:  pkgconfig(libpng)
BuildRequires:  pkgconfig(zlib)

%description
GL2PS is a C library providing high quality vector output for any
OpenGL application. The main difference between GL2PS and other
similar libraries is the use of sorting algorithms capable of handling
intersecting and stretched polygons, as well as non manifold objects.
GL2PS provides advanced smooth shading and text rendering, culling of
invisible primitives, mixed vector/bitmap output, and much more...

GL2PS can currently create PostScript (PS), Encapsulated PostScript
(EPS) and Portable Document Format (PDF) files, as well as LaTeX files
for the text fragments. Adding new vector output formats should be
relatively easy (and amongst the formats we would be interested in
adding, SVG is first in line). Meanwhile, you can use the excellent
pstoedit program to transform the PostScript files generated by GL2PS
into many other vector formats such as xfig, cgm, wmf, etc.

%package -n %{libname}
Summary: An OpenGL to PostScript printing library
Group:  System/Libraries
Provides: %{name} = %{EVRD}
Provides: %{libname_virt} = %{version}-%{release}

%description -n %libname
GL2PS is a C library providing high quality vector output for any
OpenGL application. The main difference between GL2PS and other
similar libraries is the use of sorting algorithms capable of handling
intersecting and stretched polygons, as well as non manifold objects.
GL2PS provides advanced smooth shading and text rendering, culling of
invisible primitives, mixed vector/bitmap output, and much more...

GL2PS can currently create PostScript (PS), Encapsulated PostScript
(EPS) and Portable Document Format (PDF) files, as well as LaTeX files
for the text fragments. Adding new vector output formats should be
relatively easy (and amongst the formats we would be interested in
adding, SVG is first in line). Meanwhile, you can use the excellent
pstoedit program to transform the PostScript files generated by GL2PS
into many other vector formats such as xfig, cgm, wmf, etc.

%package -n %develname
Summary:        Header files for GL2PS library
Group:          System/Libraries
Requires:       %{name} = %{EVRD}
Requires:       pkgconfig(gl)
Provides:       gl2ps-devel = %{version}-%{release}


%description -n %develname
Header files for GL2PS library.

%prep
%setup -q -n %{name}-%{version}-source
%apply_patches

%build
%cmake
%make

%install
pushd ./build
%makeinstall_std
rm %{buildroot}%{_libdir}/libgl2ps.a

%files -n %libname
%doc COPYING.GL2PS COPYING.LGPL README.txt
%attr(755,root,root) %{_libdir}/libgl2ps.so.*

%files -n %develname
%doc gl2ps.pdf TODO.txt gl2psTest*.c
%{_libdir}/libgl2ps.so
%{_includedir}/gl2ps.h
%{_docdir}/gl2ps

%changelog
* Fri Jun 27 2014 Alex Burmashev <alex.burmashev@rosalab.ru> 1.3.8-4
+ Revision: fe42dd9
- MassBuild#440: Increase release tag


